package com.artfess.sysConfig.persistence.manager;

import com.artfess.base.manager.BaseManager;
import com.artfess.sysConfig.persistence.model.AppTagsRelation;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * 应用标签关系表 服务类
 *
 * @company 广州宏天软件股份有限公司
 * @author zst
 * @since 2020-10-12
 */
public interface AppTagsRelationManager extends BaseManager<AppTagsRelation> {

    void saveAppTags(String appId,String tagIds);

    List<AppTagsRelation> getByAppId(String appId);

    Set<String> getAppIdsByTagIds(String[] tagIds);
}
